"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _default = function _default(pathToStatic, manifest) {
  return (
    /*#__PURE__*/
    function () {
      function CoreCssMiddleware() {
        (0, _classCallCheck2["default"])(this, CoreCssMiddleware);
      }

      (0, _createClass2["default"])(CoreCssMiddleware, [{
        key: "getHeadStylesheets",
        value: function getHeadStylesheets(next) {
          var routeName = this.getRequest().getRouteName();
          var baseUrl = pathToStatic || (typeof window !== "undefined" ? window.__reactServerBase : "/");
          manifest = manifest || (typeof window !== "undefined" ? window.__reactServerManifest : {});

          if (!manifest || !manifest.cssChunksByName) {
            throw new Error("No webpack manifest found while trying to find CSS files.");
          }

          var fileNames = [];

          if (manifest.cssChunksByName.common) {
            fileNames.push(baseUrl + manifest.cssChunksByName.common);
          }

          if (manifest.cssChunksByName[routeName]) {
            fileNames.push(baseUrl + manifest.cssChunksByName[routeName]);
          }

          return [].concat(fileNames, (0, _toConsumableArray2["default"])(next()));
        }
      }]);
      return CoreCssMiddleware;
    }()
  );
};

exports["default"] = _default;