"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _default = function _default(pathToStatic, manifest) {
  return (
    /*#__PURE__*/
    function () {
      function CoreJsMiddleware() {
        (0, _classCallCheck2["default"])(this, CoreJsMiddleware);
      }

      (0, _createClass2["default"])(CoreJsMiddleware, [{
        key: "getSystemScripts",
        value: function getSystemScripts(next) {
          var routeName = this.getRequest().getRouteName();
          var baseUrl = pathToStatic || "/";
          var scripts = []; // read out the chunkmap so that the client code knows how to download the
          // other chunks.

          scripts.push({
            type: "text/javascript",
            text: "window.webpackManifest = ".concat(JSON.stringify(manifest.jsChunksById), ";")
          });

          if (manifest.jsChunksByName.common) {
            scripts.push("".concat(baseUrl).concat(manifest.jsChunksByName.common));
          }

          scripts.push("".concat(baseUrl).concat(manifest.jsChunksByName[routeName]));
          return [].concat(scripts, [{
            type: "text/javascript",
            text: "\n\t\t\t\t\t\tif (typeof window !== \"undefined\") {\n\t\t\t\t\t\t\tif (window.__setReactServerBase) {\n\t\t\t\t\t\t\t\twindow.__setReactServerBase(".concat(JSON.stringify(baseUrl), ");\n\t\t\t\t\t\t\t}\n\t\t\t\t\t\t\twindow.__reactServerManifest = ").concat(manifest ? JSON.stringify(manifest) : "{}", ";\n\t\t\t\t\t\t}\n\t\t\t\t\t\t")
          }], (0, _toConsumableArray2["default"])(next()));
        }
      }]);
      return CoreJsMiddleware;
    }()
  );
};

exports["default"] = _default;